<?php 
    $users = [
        1 => "Administrator",
        2 => "John Cooper",
        3 => "Claire Blake",
        4 => "Samantha Lou"
    ];
    $logs = $activityLog->getLogs();
?>
<h2 class="text-center text-muted">List of Activity Logs</h2>
<hr>
<div class="col-lg-12 col-md-12 col-sm-12 col-12 mx-auto">
    <div class="card rounded-0 shadow">
        <div class="card-body rounded-0">
            <div class="container-fluid">
                <div class="table-responsive">
                    <table class="table table-hover table-stripped table-bordered">
                        <colgroup>
                            <col width="15%">
                            <col width="15%">
                            <col width="30%">
                            <col width="20%">
                            <col width="10%">
                        </colgroup>
                        <thead>
                            <tr class="bg-gradient bg-primary">
                                <th class="text-center text-light bg-transparent">Date/Time</th>
                                <th class="text-center text-light bg-transparent">User</th>
                                <th class="text-center text-light bg-transparent">Action</th>
                                <th class="text-center text-light bg-transparent">URL</th>
                                <th class="text-center text-light bg-transparent">IP</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php 
                                if(!empty($logs)):
                                    foreach($logs as $row):
                            ?>  
                                <tr>
                                    <td class="px-2 py-1">
                                        <?= date("M d,Y g:i A", strtotime($row['created_at'])) ?>
                                    </td>
                                    <td class="px-2 py-1"><?= $users[$row['user_id']] ?></td>
                                    <td class="px-2 py-1"><?= $row['action'] ?></td>
                                    <td class="px-2 py-1"><p class="text-truncate mb-0" style="max-width:200px"><?= $row['url'] ?></p></td>
                                    <td class="px-2 py-1"><?= $row['ip'] ?></td>
                                </tr>
                                <?php endforeach; ?>
                            <?php else: ?>
                                <tr>
                                    <th class="text-center px-2 py-1" colspan="5">No data found.</th>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>