<?php 
    $activityLog->setAction($_SESSION['user_id'], "accessed the Customer List");
?>
<h2 class="text-center text-muted">List of Customers</h2>
<hr>
<div class="col-lg-10 col-md-12 col-sm-12 col-12 mx-auto">
    <div class="card rounded-0 shadow">
        <div class="card-header rounded-0">
            <div class="d-flex w-100 justify-content-end">
                <button class="btn btn-default border rounded-0" id="add_new" type="button" required="required"><i class="fa fa-plus"></i> Add New</button>
            </div>
        </div>
        <div class="card-body rounded-0">
            <div class="container-fluid">
                <div class="table-responsive">
                    <table class="table table-hover table-stripped table-bordered">
                        <colgroup>
                            <col width="5%">
                            <col width="50%">
                            <col width="30%">
                            <col width="15%">
                        </colgroup>
                        <thead>
                            <tr class="bg-gradient bg-primary">
                                <th class="text-center text-light bg-transparent">ID</th>
                                <th class="text-center text-light bg-transparent">Name</th>
                                <th class="text-center text-light bg-transparent">Contact #</th>
                                <th class="text-center text-light bg-transparent">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php 
                                $data = [];
                                $sql = "SELECT * FROM `customers_tbl` order by `name` asc";
                                $qry = $conn->query($sql);
                                if($qry->num_rows > 0):
                                    $result = $qry->fetch_all(MYSQLI_ASSOC);
                                    foreach($result as $row):
                                        $data[$row['id']] = $row;
                            ?>  
                                <tr>
                                    <td class="text-center px-2 py-1"><?= $row['id'] ?></td>
                                    <td class="px-2 py-1"><?= $row['name'] ?></td>
                                    <td class="px-2 py-1"><?= $row['contact'] ?></td>
                                    <td class="text-center px-2 py-1 justify-content-center align-items-center">
                                        <div class="btn-group">
                                            <button class="btn btn-sm btn-primary edit" data-id="<?= $row['id'] ?>" type="button" required="required"><i class="fa fa-edit"></i></button>
                                            <button class="btn btn-sm btn-danger delete" data-id="<?= $row['id'] ?>" type="button" required="required"><i class="fa fa-trash"></i></button>
                                        </div>
                                    </td>
                                </tr>
                                <?php endforeach; ?>
                            <?php else: ?>
                                <tr>
                                    <th class="text-center px-2 py-1" colspan="4">No data found.</th>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include('manage_customer.php'); ?>

<script>
    let data = JSON.parse('<?= json_encode($data) ?>');
    const modal = document.getElementById('customerModal')
    $(document).ready(function(){
        $('#add_new').click(function(e){
            e.preventDefault()
            $(modal).find('.modal-title').text("Add New Customer");
            $(modal).modal('show')
        })
        $('.edit').click(function(e){
            e.preventDefault()
            var id = $(this)[0].dataset.id
            var customer = data[id] || {};
            $(modal).find('.modal-title').text("Update Customer Data");
            $(modal).find('input[name="id"]').val(customer?.id);
            $(modal).find('input[name="name"]').val(customer?.name);
            $(modal).find('input[name="contact"]').val(customer?.contact);
            $(modal).modal('show')
        })
        $('.delete').click(function(e){
            e.preventDefault()
            var id = $(this)[0].dataset.id
            if(confirm(`Are you sure to delete this customer?`) === true){
                location.replace("./?page=customer_list&action=delete_customer&id="+id)
            }
        })
        $(modal).on('bs.modal.hidden', function(e){
            $(modal).find('input:hidden').val("")
            $(modal).find('#customer-form')[0].reset()
        })
    })
</script>