<?php 
session_start();
if(!isset($_SESSION['user_id']) || (isset($_SESSION['user_id']) && empty($_SESSION['user_id']))){
    header("location: login.php");
}
$action = $_GET['action'] ?? "";
require_once('initialize.php');
require_once('db-connect.php');

switch($action){
    case 'logout':
        session_destroy();
        header("location: login.php");
        break;
    case 'save_customer':
        extract($_POST);
        if(!empty($id)){
            $sql = "UPDATE `customers_tbl` set `name` = '{$name}', `contact` = '{$contact}' where `id` = '{$id}'";
        }else{
            $sql = "INSERT INTO `customers_tbl` set `name` = '{$name}', `contact` = '{$contact}'";
        }
        $save = $conn->query($sql);
        if($save){
            if(empty($id)){
                $id = $conn->insert_id;
                $_SESSION['flashdata'] = [
                    'type' => "success",
                    'msg' => "New Customer has been added successfully."
                ];
                $activityLog->setAction($_SESSION['user_id'], "added new customer [ID#{$id}]");
            }else{
                $_SESSION['flashdata'] = [
                    'type' => "success",
                    'msg' => "Customer data has been updated successfully."
                ];
                $activityLog->setAction($_SESSION['user_id'], "updated customer's data [ID#{$id}]");
            }
        }else{
            $_SESSION['flashdata'] = [
                'type' => "danger",
                'msg' => "Customer data has failed to update."
            ];
        }
        
        $conn->close();
        header("location: ./?page=customer_list");
        exit;
        break;
    case "delete_customer":
        $id = $_GET['id'] ?? "";
        $sql = "DELETE FROM `customers_tbl` where `id` = '{$id}'";
        $delete = $conn->query($sql);
        if($delete){
            $_SESSION['flashdata'] = [
                'type' => "success",
                'msg' => "Customer data has been deleted successfully."
            ];
            $activityLog->setAction($_SESSION['user_id'], "deleted customer's data [ID#{$id}]");
        }else{
            $_SESSION['flashdata'] = [
                'type' => "danger",
                'msg' => "Customer data has failed to delete."
            ];
        }
        $conn->close();
        header("location: ./?page=customer_list");
        exit;
        break;
}

$page = $_GET['page'] ?? "home";
$page_title = ucwords(str_replace("_", " ", $page));
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= $page ?> | Sample Site</title>
    <!-- Fontawesome CSS CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!-- Bootstrap CSS CDN -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css">
    
    <link rel="stylesheet" href="assets/css/style.css">

    <!-- Fontawesome CSS CDN -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/js/all.min.js" integrity="sha512-uKQ39gEGiyUJl4AI6L+ekBdGKpGw4xJ55+xyJG7YFlJokPNYegn9KwQ3P8A7aFQAUtUsAQHep+d/lrGqrbPIDQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <!-- jQuery CSS CDN -->
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <!-- Bootstrap CSS CDN -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>


</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-dark sticky-top" data-bs-theme="dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Sample SIte</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link <?= $page == "home" ? "active" : "" ?>" aria-current="page" href="./">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?= $page == "customer_list" ? "active" : "" ?>" aria-current="page" href="./?page=customer_list" >Customers</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?= $page == "activity_logs" ? "active" : "" ?>" aria-current="page" href="./?page=activity_logs" >Activity Logs</a>
                </li>
            </ul>
        </div>
        <div id="user-container" class="dropdown">
            <button  type="button" class="dropdow-toggle btn btn-sm btn-info text-light rounded-pill fw-bold fs-6 px-4"  data-bs-toggle="dropdown" aria-expanded="false"><?= $_SESSION['user'] ?? "Not Logged In" ?> <i class="fas fa-angle-down"></i></button>
            <ul class="dropdown-menu">
                <li><a class="dropdown-item fw-bold" href="./?action=logout"><i class="fas fa-sign-out-alt"></i> Logout</a></li>
            </ul>
        </div>
    </div>
    </nav>
    <div class="container-md py-3">
        <?php if(isset($_SESSION['flashdata']) && !empty($_SESSION['flashdata'])): ?>
            <div class="flashdata flashdata-<?= $_SESSION['flashdata']['type'] ?? 'default' ?> mb-3">
                <div class="d-flex w-100 align-items-center flex-wrap">
                    <div class="col-11"><?= $_SESSION['flashdata']['msg'] ?? '' ?></div>
                    <div class="col-1 text-center">
                        <a href="javascript:void(0)" onclick="this.closest('.flashdata').remove()" class="flashdata-close"><i class="far fa-times-circle"></i></a>
                    </div>
                </div>
            </div>
        <?php unset($_SESSION['flashdata']); ?>
        <?php endif; ?>
        <?php include_once("{$page}.php"); ?>
    </div>
    
    <script src="assets/js/script.js"></script>
    <?php 
    if(isset($conn)){
        $conn->close();
    }
    ?>
</body>
</html>